Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602395 - Left Click key is going not to be recognized [NEEDINFO]
Summary: Left Click key is going not to be recognized
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 09:38 UTC by Takayoshi Tanaka
Modified: 2018-08-31 01:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-31 01:39:01 UTC
peter.hutterer: needinfo? (tatanaka)


Attachments (Terms of Use)

Description Takayoshi Tanaka 2018-07-18 09:38:05 UTC
Description of problem:
Left Click is going to not be recognized.

Version-Release number of selected component (if applicable):
$ cat /etc/redhat-release 
Fedora release 28 (Twenty Eight)

$ libinput  --version
1.11.2
(also confirmed with 1.10.4

How reproducible:
I'm not sure the trigger but reproducible.

Steps to Reproduce:
After using the desktop for 10~30 mins, it happens. Or when screensaver is started, it could happen.

Actual results:
Left Click is not recognized both on mouse and touchpad.

Expected results:
Left Click wors.


Additional info:
using "evemu-record", I can see EV_KEY / BTN_LEFT event correctly.
The bug happens both in X and Wayland. I can see also in Xfce but the bug happens less frequently.

Comment 1 Takayoshi Tanaka 2018-07-18 09:59:43 UTC
Some additional info:

Once the bug started, it can be fixed by logging-out and logging-in.
However, when the bug is not started, logging-out and logging-in could cause the bug.

The laptop spec is T460S.

Comment 2 Peter Hutterer 2018-07-19 03:07:10 UTC
any error messages in the journal when this happens?

If it's in X and wayland it's likely a lower level, i.e. libinput.

run libinput record --autorestart=2 in screen and wait for the bug to happen. When it does, please attach the log containing the bug here. Details on how to run with autorestart are here:
https://wayland.freedesktop.org/libinput/doc/latest/tools.html#libinput-record

It's also worth running libinput debug-events in screen and checking that when the bug occurs, it also happens there. You can easily tell this by missing BTN_LEFT events in the debug-events output.

Comment 3 Peter Hutterer 2018-08-31 01:39:01 UTC
Needinfo for more than a month, closing


Note You need to log in before you can comment on or make changes to this bug.